# Uses of Class
org.eclipse.jface.text.DocumentEvent

Packages that use DocumentEvent
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.link
Application programming interfaces for interaction with the Eclipse text editor's linked position support.
org.eclipse.jface.text.presentation
Provides a presentation reconciler add-on for an `ITextViewer`.
org.eclipse.jface.text.projection
This package provides an implementation of projection documents.
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.
org.eclipse.jface.text.source.projection
This package provides the UI part for projection documents of which the most important part is the projection viewer.
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of DocumentEvent in org.eclipse.jface.text

Subclasses of DocumentEvent in org.eclipse.jface.text
Modifier and Type
Class
Description
`class`
`SlaveDocumentEvent`
A slave document event represents a master document event as a slave-relative document event.
Fields in org.eclipse.jface.text declared as DocumentEvent
Modifier and Type
Field
Description
`DocumentEvent`
TextViewer.WidgetCommand.`event`
The document event encapsulated by this command.
Methods in org.eclipse.jface.text that return DocumentEvent
Modifier and Type
Method
Description
`DocumentEvent`
TextEvent.`getDocumentEvent()`
Returns the corresponding document event that caused the viewer change
`DocumentEvent`
SlaveDocumentEvent.`getMasterEvent()`
Returns this event's master event.
`static DocumentEvent`
TextUtilities.`mergeProcessedDocumentEvents(List<? extends DocumentEvent> documentEvents)`
Returns a document event which is an accumulation of a list of document events, `null` if the list of document events is empty.
`static DocumentEvent`
TextUtilities.`mergeUnprocessedDocumentEvents(IDocument unprocessedDocument, List<? extends DocumentEvent> documentEvents)`
Returns a document event which is an accumulation of a list of document events, `null` if the list of documentEvents is empty.
Methods in org.eclipse.jface.text with parameters of type DocumentEvent
Modifier and Type
Method
Description
`void`
IDocumentListener.`documentAboutToBeChanged(DocumentEvent event)`
The manipulation described by the document event will be performed.
`void`
IDocumentPartitioner.`documentAboutToBeChanged(DocumentEvent event)`
Informs about a forthcoming document change.
`void`
IDocumentListener.`documentChanged(DocumentEvent event)`
The manipulation described by the document event has been performed.
`boolean`
IDocumentPartitioner.`documentChanged(DocumentEvent event)`
The document has been changed.
`IRegion`
IDocumentPartitionerExtension.`documentChanged2(DocumentEvent event)`
The document has been changed.
`protected void`
AbstractDocument.`doFireDocumentChanged(DocumentEvent event)`
Notifies all listeners about the given document change.
`protected void`
AbstractDocument.`doFireDocumentChanged(DocumentEvent event, boolean firePartitionChange, IRegion partitionChange)`
Deprecated.
as of 3.0.
`protected void`
AbstractDocument.`doFireDocumentChanged2(DocumentEvent event)`
Notifies all listeners about the given document change.
`protected void`
AbstractDocument.`fireDocumentAboutToBeChanged(DocumentEvent event)`
Fires the given document event to all registers document listeners informing them about the forthcoming document manipulation.
`protected void`
AbstractDocument.`fireDocumentChanged(DocumentEvent event)`
Updates the internal document structures and informs all document listeners if listener notification has been enabled.
`protected void`
TextViewer.`handleVisibleDocumentAboutToBeChanged(DocumentEvent event)`
Hook method called when the visible document is about to be changed.
`protected void`
TextViewer.`handleVisibleDocumentChanged(DocumentEvent event)`
Hook method called when the visible document has been changed.
`boolean`
IEditingSupport.`isOriginator(DocumentEvent event, IRegion subjectRegion)`
Returns `true` if the receiver is the originator of a `DocumentEvent` and if that `event` is related to `subjectRegion`.
`void`
TextViewer.WidgetCommand.`setEvent(DocumentEvent e)`
Translates a document event into the presentation coordinates of this text viewer.
`void`
DefaultPositionUpdater.`update(DocumentEvent event)`
`void`
IPositionUpdater.`update(DocumentEvent event)`
Adapts positions to the change specified by the document event.
`protected void`
AbstractDocument.`updateDocumentStructures(DocumentEvent event)`
Updates document partitioning and document positions according to the specification given by the document event.
`protected void`
AbstractDocument.`updatePositions(DocumentEvent event)`
Updates all positions of all categories to the change described by the document event.
Method parameters in org.eclipse.jface.text with type arguments of type DocumentEvent
Modifier and Type
Method
Description
`static DocumentEvent`
TextUtilities.`mergeProcessedDocumentEvents(List<? extends DocumentEvent> documentEvents)`
Returns a document event which is an accumulation of a list of document events, `null` if the list of document events is empty.
`static DocumentEvent`
TextUtilities.`mergeUnprocessedDocumentEvents(IDocument unprocessedDocument, List<? extends DocumentEvent> documentEvents)`
Returns a document event which is an accumulation of a list of document events, `null` if the list of documentEvents is empty.
Constructors in org.eclipse.jface.text with parameters of type DocumentEvent
Modifier
Constructor
Description
``
`SlaveDocumentEvent(IDocument doc, int offset, int length, String text, DocumentEvent masterEvent)`
Creates a new slave document event.
`protected`
`TextEvent(int offset, int length, String text, String replacedText, DocumentEvent event, boolean viewerRedrawState)`
Creates a new `TextEvent` based on the specification.

## Uses of DocumentEvent in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist with parameters of type DocumentEvent
Modifier and Type
Method
Description
`boolean`
ICompletionProposalExtension2.`validate(IDocument document, int offset, DocumentEvent event)`
Requests the proposal to be validated with respect to the document event.

## Uses of DocumentEvent in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink with parameters of type DocumentEvent
Modifier and Type
Method
Description
`void`
DefaultHyperlinkPresenter.`documentAboutToBeChanged(DocumentEvent event)`
`void`
DefaultHyperlinkPresenter.`documentChanged(DocumentEvent event)`

## Uses of DocumentEvent in org.eclipse.jface.text.link

Methods in org.eclipse.jface.text.link with parameters of type DocumentEvent
Modifier and Type
Method
Description
`default LinkedModeUI.ExitFlags`
LinkedModeUI.IExitPolicy.`doExit(LinkedModeModel model, DocumentEvent event)`
Checks whether the linked mode should be left after receiving the given `DocumentEvent`, especially allowing to control Copy-Paste operations.
`boolean`
LinkedPosition.`includes(DocumentEvent event)`
Returns whether this position includes `event`.
`void`
InclusivePositionUpdater.`update(DocumentEvent event)`

## Uses of DocumentEvent in org.eclipse.jface.text.presentation

Methods in org.eclipse.jface.text.presentation with parameters of type DocumentEvent
Modifier and Type
Method
Description
`IRegion`
IPresentationDamager.`getDamageRegion(ITypedRegion partition, DocumentEvent event, boolean documentPartitioningChanged)`
Returns the damage in the document's presentation caused by the given document change.

## Uses of DocumentEvent in org.eclipse.jface.text.projection

Subclasses of DocumentEvent in org.eclipse.jface.text.projection
Modifier and Type
Class
Description
`class`
`ProjectionDocumentEvent`
This event is sent out by an `ProjectionDocument`when it is manipulated.
Methods in org.eclipse.jface.text.projection with parameters of type DocumentEvent
Modifier and Type
Method
Description
`protected final boolean`
ProjectionDocument.`adaptProjectionToMasterChange(DocumentEvent masterEvent)`
Ensures that when the master event affects this projection document, that the whole region described by the event is part of this projection document.
`void`
ProjectionDocumentManager.`documentAboutToBeChanged(DocumentEvent event)`
`void`
ProjectionDocumentManager.`documentChanged(DocumentEvent event)`
`protected void`
ProjectionDocument.`fireDocumentAboutToBeChanged(DocumentEvent event)`
`protected void`
ProjectionDocument.`fireDocumentChanged(DocumentEvent event)`
Ignores the given event and sends the semantically equal slave document event instead.
`protected void`
ProjectionDocumentManager.`fireDocumentEvent(boolean about, DocumentEvent masterEvent)`
Informs all projection documents of the master document that issued the given document event.
`void`
ProjectionDocument.`masterDocumentAboutToBeChanged(DocumentEvent masterEvent)`
When called, this projection document is informed about a forthcoming change of its master document.
`void`
ProjectionDocument.`masterDocumentChanged(DocumentEvent masterEvent)`
When called, this projection document is informed about a change of its master document.
`protected void`
ProjectionDocument.`updateDocumentStructures(DocumentEvent event)`
Constructors in org.eclipse.jface.text.projection with parameters of type DocumentEvent
Modifier
Constructor
Description
``
`ProjectionDocumentEvent(IDocument doc, int offset, int length, String text, int masterOffset, int masterLength, DocumentEvent masterEvent)`
Creates a new projection document event for the given properties.
``
`ProjectionDocumentEvent(IDocument doc, int offset, int length, String text, DocumentEvent masterEvent)`
Creates a new content change event caused by the given master document change.

## Uses of DocumentEvent in org.eclipse.jface.text.rules

Methods in org.eclipse.jface.text.rules with parameters of type DocumentEvent
Modifier and Type
Method
Description
`void`
DefaultPartitioner.`documentAboutToBeChanged(DocumentEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
FastPartitioner.`documentAboutToBeChanged(DocumentEvent e)`
Informs about a forthcoming document change.
`void`
RuleBasedPartitioner.`documentAboutToBeChanged(DocumentEvent e)`
Deprecated.
`boolean`
DefaultPartitioner.`documentChanged(DocumentEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`final boolean`
FastPartitioner.`documentChanged(DocumentEvent e)`
`boolean`
RuleBasedPartitioner.`documentChanged(DocumentEvent e)`
Deprecated.
`IRegion`
DefaultPartitioner.`documentChanged2(DocumentEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`IRegion`
FastPartitioner.`documentChanged2(DocumentEvent e)`
The document has been changed.
`IRegion`
RuleBasedPartitioner.`documentChanged2(DocumentEvent e)`
Deprecated.
`IRegion`
DefaultDamagerRepairer.`getDamageRegion(ITypedRegion partition, DocumentEvent e, boolean documentPartitioningChanged)`
Returns the damage in the document's presentation caused by the given document change.

## Uses of DocumentEvent in org.eclipse.jface.text.source.projection

Methods in org.eclipse.jface.text.source.projection with parameters of type DocumentEvent
Modifier and Type
Method
Description
`protected void`
ProjectionViewer.`handleVisibleDocumentAboutToBeChanged(DocumentEvent event)`
`protected void`
ProjectionViewer.`handleVisibleDocumentChanged(DocumentEvent event)`

## Uses of DocumentEvent in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates with parameters of type DocumentEvent
Modifier and Type
Method
Description
`boolean`
TemplateProposal.`validate(IDocument document, int offset, DocumentEvent event)`

## Uses of DocumentEvent in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type DocumentEvent
Modifier and Type
Method
Description
`void`
AbstractDocumentProvider.ElementInfo.`documentAboutToBeChanged(DocumentEvent event)`
`void`
AbstractDocumentProvider.ElementInfo.`documentChanged(DocumentEvent event)`